summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Roberto Neri2013-06-04 23:15:38 +0200
committer Robby Workman2013-06-05 10:17:41 +0200
commitcad5bb12397fb04b5b1cffe736d4e84fd1bd4b19 (patch)
tree0c98a29c992e7b09bfde9ac3316406bb96fbe65c /desktop
parentd564f573f13103ef9211afca7b7940993b8101da (diff)
downloadslackbuilds-cad5bb12397fb04b5b1cffe736d4e84fd1bd4b19.tar.gz
desktop/cheser-icon-theme: Added (Tango-style icons for Xfce)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/cheser-icon-theme/README2
-rw-r--r--desktop/cheser-icon-theme/cheser-icon-theme.SlackBuild65
-rw-r--r--desktop/cheser-icon-theme/cheser-icon-theme.info10
-rw-r--r--desktop/cheser-icon-theme/doinst.sh6
-rw-r--r--desktop/cheser-icon-theme/slack-desc19
5 files changed, 102 insertions, 0 deletions
diff --git a/desktop/cheser-icon-theme/README b/desktop/cheser-icon-theme/README
new file mode 100644
index 0000000000..91419a9b67
--- /dev/null
+++ b/desktop/cheser-icon-theme/README
@@ -0,0 +1,2 @@
+The Cheser icon theme is a mix of different Tango-style icons for GNOME
+and Xfce.
diff --git a/desktop/cheser-icon-theme/cheser-icon-theme.SlackBuild b/desktop/cheser-icon-theme/cheser-icon-theme.SlackBuild
new file mode 100644
index 0000000000..c89b68c0b4
--- /dev/null
+++ b/desktop/cheser-icon-theme/cheser-icon-theme.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for cheser-icon-theme
+
+# Copyright 2013 Roberto Neri, Palermo, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cheser-icon-theme
+VERSION=${VERSION:-3.8.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/icons
+cp -a Cheser $PKG/usr/share/icons
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog INSTALL Packages README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/cheser-icon-theme/cheser-icon-theme.info b/desktop/cheser-icon-theme/cheser-icon-theme.info
new file mode 100644
index 0000000000..79d04ed9a7
--- /dev/null
+++ b/desktop/cheser-icon-theme/cheser-icon-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="cheser-icon-theme"
+VERSION="3.8.0"
+HOMEPAGE="http://xfce-look.org/content/show.php/Cheser+Icons?content=154787"
+DOWNLOAD="https://dl.dropbox.com/u/9335585/Icons/cheser-icon-theme-3.8.0.tar.gz"
+MD5SUM="0e86e06e37bb4f2850bee7ed1226c4f0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Roberto Neri"
+EMAIL="rneri@libero.it"
diff --git a/desktop/cheser-icon-theme/doinst.sh b/desktop/cheser-icon-theme/doinst.sh
new file mode 100644
index 0000000000..30eb690936
--- /dev/null
+++ b/desktop/cheser-icon-theme/doinst.sh
@@ -0,0 +1,6 @@
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/desktop/cheser-icon-theme/slack-desc b/desktop/cheser-icon-theme/slack-desc
new file mode 100644
index 0000000000..20102b6082
--- /dev/null
+++ b/desktop/cheser-icon-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cheser-icon-theme: cheser-icon-theme (Tango-style icons for GNOME and Xfce)
+cheser-icon-theme:
+cheser-icon-theme: A mix of different Tango-style icons for GNOME and Xfce.
+cheser-icon-theme:
+cheser-icon-theme: Homepage:
+cheser-icon-theme: http://xfce-look.org/content/show.php/Cheser+Icons?content=154787
+cheser-icon-theme:
+cheser-icon-theme:
+cheser-icon-theme:
+cheser-icon-theme:
+cheser-icon-theme: